/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.instance;

/**
 * @author Going Dot Com Inc.
 */
class XbUnitMeasureObj {
    // unitID
    private String unitId;
    // measureId
    private String measureId;
    // moneyFlag
    private String moneyFlag;
    // value
    private String value;

    /**
     * measureIdを取得します。
     * @return measureId
     */
    protected String getMeasureId() {
        return measureId;
    }

    /**
     * measureIdを設定します。
     * @param measureId measureId
     */
    protected void setMeasureId(String measureId) {
        this.measureId = measureId;
    }

    /**
     * moneyFlagを取得します。
     * @return moneyFlag
     */
    protected String getMoneyFlag() {
        return moneyFlag;
    }

    /**
     * moneyFlagを設定します。
     * @param moneyFlag moneyFlag
     */
    protected void setMoneyFlag(String moneyFlag) {
        this.moneyFlag = moneyFlag;
    }

    /**
     * unitIdを取得します。
     * @return unitId
     */
    protected String getUnitId() {
        return unitId;
    }

    /**
     * unitIdを設定します。
     * @param unitId unitId
     */
    protected void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    /**
     * valueを取得します。
     * @return value
     */
    protected String getValue() {
        return value;
    }

    /**
     * valueを設定します。
     * @param value value
     */
    protected void setValue(String value) {
        this.value = value;
    }
}